zeitgeist-daemon crashed with DatabaseError in execute(): database disk image is malformed

Bug #743857 reported by KT66 on 2011-03-27
402
This bug affects 38 people
Affects Status Importance Assigned to Milestone
Zeitgeist Framework
Fix Released
Low
Unassigned
zeitgeist (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: zeitgeist

ub

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: zeitgeist-core 0.7.1-1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
Architecture: i386
Date: Sun Mar 27 22:50:13 2011
ExecutablePath: /usr/bin/zeitgeist-daemon
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110302)
InterpreterPath: /usr/bin/python2.7
ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
ProcEnviron:
 SHELL=/bin/bash
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
PythonArgs: ['/usr/bin/zeitgeist-daemon']
SourcePackage: zeitgeist
Title: zeitgeist-daemon crashed with DatabaseError in execute(): database disk image is malformed
UpgradeStatus: Upgraded to natty on 2011-03-25 (2 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

KT66 (paolo-stigliano-alice) wrote :
tags: removed: need-duplicate-check
tags: added: bugpattern-needed
visibility: private → public
Siegfried Gevatter (rainct) wrote :

Hi,

Thank you for reporting this bug and helping improve Ubuntu. In order to figure out what's going on we need some more information.

1) Can you reproduce this problem consistently, every time you run «zeitgeist-daemon --replace» from the terminal?

2) If that fails, does executing «sqlite3 -line ~/.local/share/zeitgeist/activity.sqlite "SELECT * FROM event_view LIMIT 1"» in the terminal work or also complain about the database being corrupted? (You may have to install the sqlite3 package first).

3) Do you use some sort of disk encryption?

4) If steps 1 and 2 fail, try renaming your database («mv ~/.local/share/zeitgeist/activity.sqlite ~/.local/share/zeitgeist/activity.sqlite.corrupt») and launching «zeitgeist-daemon --replace» again. Does it work now?

Michael Terry (mterry) wrote :

Hello! I'm one of the duplicate bug reporters.

1) Yes, consistently.
2) Also complains about corrupted database.
3) Yes, Ubuntu's home folder encryption.
4) This did fix the error.

Changed in zeitgeist (Ubuntu):
status: New → Confirmed
Siegfried Gevatter (rainct) wrote :

Hi Michael,

Thanks for your feedback and sorry for not getting back to you before.

After applying step 4, did you encounter this problem again or has it been solved since?

Michael Terry (mterry) wrote :

I haven't noticed the crash since, no.

I too am a duplicate bug reporter and this is what I get...

zeitgeist crashes every time the Dash closes.
ie:
I press the super-key to open it
I press the super-key to close it and it crashes

I click the dash home botton to open it
I click the dash home botton to close it and it crashes

and so on...

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: zeitgeist-core 0.8.1.1-1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Fri Sep 23 20:29:11 2011
ExecutablePath: /usr/bin/zeitgeist-daemon
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
PythonArgs: ['/usr/bin/zeitgeist-daemon']
SourcePackage: zeitgeist
Title: zeitgeist-daemon crashed with DatabaseError in execute(): database disk image is malformed
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Changed in zeitgeist (Ubuntu):
importance: Undecided → High
Siegfried Gevatter (rainct) wrote :

OK, so our current idea is just automatically replacing the database with a new one when this happens.

Changed in zeitgeist:
importance: Undecided → Low
status: New → Triaged
Changed in zeitgeist (Ubuntu):
status: Confirmed → Triaged
Changed in zeitgeist:
status: Triaged → Fix Committed
Seif Lotfy (seif) on 2012-01-25
Changed in zeitgeist:
milestone: none → 0.9.0
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zeitgeist - 0.8.99~alpha2-1

---------------
zeitgeist (0.8.99~alpha2-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
    - Enhanced error handling, reporting and recovery (LP: #848710,
      LP: #743857).
    - The database file is now only readable by the user (LP: #910273).
    - GVFS usage in StorageMonitor has been disabled for now (LP: #905898).
    - Fixed a problem where the FTS extension could block the DB (LP: #919111).
    - Debug messages are no longer displayed by default (LP: #906451).
  * debian/rules:
    - Do not install the raw .trig files.
  * debian/zeitgeist-core.bash_completion:
    - Change source directory from extra/ to data/.

 -- Siegfried-Angel Gevatter Pujals <email address hidden> Fri, 27 Jan 2012 15:56:06 +0100

Changed in zeitgeist (Ubuntu):
status: Triaged → Fix Released
Changed in zeitgeist:
status: Fix Committed → Fix Released
To post a comment you must log in.